
Redmine - Defect #37158

SMTP authentication failed

2022-05-25 13:52 - Thijs Thiessens

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.2.5

Description

Hello all,

Sending notification has always worked for us but suddenly stopped working. The only thing that has changed is that our ISP

stopped service TLS < 1.2 with smtp SSL

n-redmine   | I, [2022-05-25T17:15:06.158707 #1]  INFO -- : Completed 200 OK in 1455ms (Views: 444.9ms | ActiveRecord:

928.2ms)

redmine   | E, [2022-05-25T17:15:07.195104 #1] ERROR -- : Email delivery error: 535 5.7.8 Error: authentication failed:

redmine   |

redmine   | I, [2022-05-25T17:15:07.195536 #1]  INFO -- : Performed ActionMailer::DeliveryJob (Job ID:

7f01d079-8b20-4f4f-aef8-b034b54855f4) from Async(mailers) in 2505.75ms

Using openssl s_client -connect on the same host and same credentials:

220 submission10.mail.****.nl ESMTP

EHLO *

250-submission10.mail.**

250-PIPELINING

250-SIZE 37033449

250-AUTH PLAIN LOGIN

250-AUTH=PLAIN LOGIN

250-ENHANCEDSTATUSCODES

250-8BITMIME

250 DSN

AUTH LOGIN

334 VXNlcm5hbWU6

a2FudG9vckBmaWpudGh1aXN6b3JnLm5s

334 UGFzc3dvcmQ6

V2FzdDN3cnllcmMu

235 2.7.0 Authentication successful

How can I debug or progress this issue further?

History

#1 - 2022-05-25 13:55 - Thijs Thiessens

We are using docker-compose with image: redmine:4.2.6

#2 - 2022-05-25 14:05 - Thijs Thiessens

And this is a snippet from our docker-compose:    

- SMTP_ENABLED=true

    - SMTP_METHOD=:smtp

    #-SMTP_DOMAIN=**

    - SMTP_HOST=smtp.**.email

    - SMTP_PORT=465

    - SMTP_USER=**

    - SMTP_PASS=**

    - SMTP_SSL=true

    - SMTP_AUTHENTICATION=:login
#3 - 2022-05-27 12:55 - Holger Just

- Status changed from New to Needs feedback

The authentication error you are observing there is likely unrelated to the change in TLS versions. If the TLS change would be the cause, you would

get a transport-level exception, rather than an SMTP error code.

As such, it's more likely that you are using a wrong username or password in your Redmine configuration. You may verify this by checking the

generated configuration.yml file within your running docker instance.

Please note that the Redmine docker image at https://hub.docker.com/_/redmine is not maintained by the Redmine project but the docker community.

As such, configuration issues with this docker image can likely not be addressed by the Redmine project but must be handled by the (external) team

maintaining the Redmine image at docker, e.g. at https://github.com/docker-library/redmine/issues.

(With that being said: in the openssl s_client session you have posted in your issue description, you have apparently posted your actual base64

encoded password. As this password is now publicly visible, you should consider it leaked and I strongly encourage you to change it as soon as

possible.)

#4 - 2022-06-14 10:51 - Thijs Thiessens

Heyt Holger! Thank you very much for your attention. Passwords were changed. The issue was at the docker image packaging not with redmine.

#5 - 2022-06-14 11:30 - Holger Just

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for this confirmation.
